## matplotlib 0.87.7

=== Makefile ===
# Makefile for matplotlib

PYTHON = /usr/bin/python2.4
VERSION = `${PYTHON} setup.py --version`

DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README TODO license	\
	CHANGELOG Makefile INTERACTIVE			\
	MANIFEST.in lib lib/matplotlib lib/dateutil lib/pytz examples setup.py

RELEASE = matplotlib-${VERSION}


clean: 
	${PYTHON} setup.py clean;\
	rm -f *.png *.ps *.eps *.svg *.jpg
	find . -name "_tmp*.py" | xargs rm -f;\
	find . \( -name "*~" -o -name "*.pyc" \) | xargs rm -f;\
	find examples \( -name "*.svg" -o -name "*.png" -o -name "*.ps"  -o -name "*.eps" -o -name "*.tar" -o  -name "*.gz" -o -name "*.log" -o -name "*.aux" -o -name "*.tex" \) | xargs rm -f
	find unit \( -name "*.png" -o -name "*.ps"  -o -name "*.eps" \) | xargs rm -f
	find . \( -name "#*" -o -name ".#*" -o -name ".*~" -o -name "*~" \) | xargs rm -f


release: ${DISTFILES}
	rm -f MANIFEST;\
	${PYTHON} license.py ${VERSION} license/LICENSE;\
	${PYTHON} setup.py sdist --formats=gztar,zip;

pyback: 
	tar cvfz pyback.tar.gz *.py lib src examples/*.py  unit/*.py

## matplotlib 0.90.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for matplotlib
 
-PYTHON = /usr/bin/python2.4
+PYTHON = /usr/bin/python2.5
 VERSION = `${PYTHON} setup.py --version`
 
 DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README TODO license	\

## matplotlib 0.91.2

=== Makefile ===
# Makefile for matplotlib

PYTHON = `which python`
VERSION = `${PYTHON} setup.py --version`

DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README TODO license	\
	CHANGELOG Makefile INTERACTIVE			\
	MANIFEST.in lib lib/matplotlib lib/dateutil lib/pytz examples setup.py

RELEASE = matplotlib-${VERSION}


clean: 
	${PYTHON} setup.py clean;\
	rm -f *.png *.ps *.eps *.svg *.jpg *.pdf
	find . -name "_tmp*.py" | xargs rm -f;\
	find . \( -name "*~" -o -name "*.pyc" \) | xargs rm -f;\
	find examples \( -name "*.svg" C-o -name "*.png" -o -name "*.pdf" -o -name "*.ps"  -o -name "*.eps" -o -name "*.tar" -o  -name "*.gz" -o -name "*.log" -o -name "*.aux" -o -name "*.tex" \) | xargs rm -f
	find unit \( -name "*.png" -o -name "*.ps"  -o -name "*.pdf" -o -name "*.eps" \) | xargs rm -f
	find . \( -name "#*" -o -name ".#*" -o -name ".*~" -o -name "*~" \) | xargs rm -f


release: ${DISTFILES}
	rm -f MANIFEST;\
	${PYTHON} license.py ${VERSION} license/LICENSE;\
	${PYTHON} setup.py sdist --formats=gztar,zip;

pyback: 
	tar cvfz pyback.tar.gz *.py lib src examples/*.py  unit/*.py

## matplotlib 0.99.1.2

=== debian/changelog ===
matplotlib (0.99.1.2-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop python-qt-dev from build-depends and python-qt3 from
      python-matplotlib suggests to support python-qt3 removal.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Feb 2010 18:38:21 +0100

matplotlib (0.99.1.2-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Recommends python-tk directly and Suggests all other other Python
      bindings (changes from Ubuntu); this way the default backend ('TkAgg')
      will work out-of-the-box and the others will need manual bindings
      installation; Closes: #563137

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Add platform entry for GNU/Hurd to 10_build_fix.patch; thanks to Pino
    Toscano for the patch (Closes: #568599).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Feb 2010 09:34:01 +0100

matplotlib (0.99.1.2-2ubuntu2) lucid; urgency=low

  * Drop python-qt-dev from build-depends and python-qt3 from
    python-matplotlib suggests to support python-qt3 removal
    - Update README.debian

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Jan 2010 15:29:44 -0500

matplotlib (0.99.1.2-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Dec 2009 16:22:14 +0100

matplotlib (0.99.1.2-2) unstable; urgency=low

  * Build depend on texlive-latex-recommended instead of latex-ucs to fix FTBFS
    (Closes: #562346).
  * Bump python-numpy dependency to version 1.3.0 (Closes: #559990).
  * Add ${misc:Depends} to Depends.
  * Switch to 3.0 (quilt) source format.
  * Refresh patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Dec 2009 15:57:32 +0100

matplotlib (0.99.1.2-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 23:29:52 +0100

matplotlib (0.99.1.2-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling error in doc-base abstract field.
  * Add missing section field to doc-base file.
  * Convert patch system back to quilt and use DEP-3 patch tagging guidelines.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 22:17:31 +0100

matplotlib (0.99.1.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 14 Nov 2009 22:15:45 +0100

matplotlib (0.99.1.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - added python-wxgtk2.8-dbg to b-d (needed to build -dbg package)
    - added python-imaging to b-d (needed for -doc package)
    - added librsvg2-common to Suggests of python-matplotlib, needed by GTKAgg
      backend; thanks to Jonas for the report and suggestion; Closes: #548874
    - moved python-excelerator from Depends to Suggests; thanks to W. Martin
      Borgert for the report; Closes: #547437
    - removed Ondrej from Uploaders: thanks for your work!
  * debian/patches/30_doc_pass_dpi.dpatch
    - pass DPI when building doc images
  * debian/python-matplotlib-doc.doc-base
    - added doc-base

  [ Benjamin Drung ]
  * wrote 05-find-tcl-tk-directory.dpatch
  * strip not working parts from 10_build_fix.dpatch
  * debian/rules
    - refresh clean target
  * link to fonts in ttf-lyx to make lintian happy
  * Add latex-ucs and texlive-fonts-recommended to Build-Depends
    (Closes: #551248).
  * Demote GUI toolkits from Depends to Recommends; thanks to Thomas Bechtold
    for this hint (Closes: #547437).
  * Install lib/matplotlib/mpl-data/lineprops.glade; thanks to Ambrose Andrews
    for the report (Closes: #518488).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 21:58:23 +0100

matplotlib (0.99.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #419885), remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 18 Sep 2009 10:13:37 +0200

matplotlib (0.99.0-1) unstable; urgency=low

  * New upstream release
    - thanks to Michael S. Gilbert for the report; Closes: #541146
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Sep 2009 12:46:17 +0200

matplotlib (0.98.5.3-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Build with tcl/tk8.5 as python-tk was build with tcl/tk8.5; thanks to Lucas
    Nussbaum for the report; Closes: #536985 (RC bug, hence urgency=medium)
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2009 10:16:45 +0200

matplotlib (0.98.5.3-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #382467), remaining changes:
    - Build with tcl/tk8.5 as python-tk was build with tcl/tk8.5.
  * debian/control: Explicitly depend on python-tk as workaround for LP #301007;
    drop these changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jun 2009 18:22:43 +0200

matplotlib (0.98.5.3-1) unstable; urgency=low

  [ Benjamin Drung ]
  * debian/control
    - Rename python-enthought-traits to python-traits
    - Move python-matplotlib-dbg to section debug
    - Build depends on python-qt4
    - Update my e-mail address.


=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>,
           Sandro Tosi <morph@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7),
               dvipng,
               graphviz,
               ipython,
               libfreetype6-dev,
               libgtk2.0-dev,
               libpng-dev,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python-configobj,
               python-dateutil,
               python-epydoc,
               python-gtk2-dev,
               python-imaging,
               python-numpy (>= 1:1.3.0),
               python-numpy-dbg (>= 1:1.3.0),
               python-pkg-resources,
               python-qt4,
               python-qt4-dev,
               python-setuptools,
               python-sphinx (>= 0.5.1),
               python-support (>= 1.0.0),
               python-tk (>= 2.5.2-1.1),
               python-traits (>= 2.0),
               python-tz,
               python-wxgtk2.8,
               python-wxgtk2.8-dbg,
               tcl8.5-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.5-dev,
               zlib1g-dev
XS-Python-Version: all
Standards-Version: 3.8.4
XS-DM-Upload-Allowed: yes
Homepage: http://matplotlib.sf.net/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/

Package: python-matplotlib
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: python-cairo,
         python-dateutil,
         python-gobject,
         python-matplotlib-data (>= ${source:Version}),
         python-numpy (>= 1:1.3.0),
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-glade2,
            python-tk (>= 2.5.2-1.1)
Provides: ${python:Provides}
Conflicts: python2.4-matplotlib
Replaces: python2.4-matplotlib
Enhances: ipython
Suggests: dvipng,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-configobj,
          python-excelerator,
          python-matplotlib-doc,
          python-scipy,
          python-traits (>= 2.0),
          texlive-extra-utils,
          texlive-latex-extra,
          python-gtk2,
          python-wxgtk2.8,
          python-qt3,
          python-qt4
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python-matplotlib-data
Architecture: all
Depends: ttf-lyx, ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.

## matplotlib 0.99.3

=== debian/changelog ===
matplotlib (0.99.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Drop python-qt-dev from build-depends and python-qt3 from
      python-matplotlib suggests to support python-qt3 removal. Reflect
      this in README.Debian.

 -- Andreas Wenning <awen@awen.dk>  Fri, 25 Jun 2010 12:53:04 +0000

matplotlib (0.99.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/05-find-tcl-tk-directory.patch
    - removed, now merged upstream
  * debian/patches/10_build_fix.patch
    - adapted to new upstream code
  * debian/pycompat
    - removed, not needed
  * debian/mkcopyright.sh
    - removed, not needed anymore

 -- Sandro Tosi <morph@debian.org>  Tue, 22 Jun 2010 00:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,6 @@
           texlive-latex-extra,
           python-gtk2,
           python-wxgtk2.8,
-          python-qt3,
           python-qt4
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -v -r debian/control)
DEFPY := $(shell pyversions -v -d)
PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
pd := python-matplotlib-doc
p := python-matplotlib
pdata := python-matplotlib-data
pdbg := python-matplotlib-dbg

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: $(DEFPY:%=build-%-stamp)
	dh_testdir

	# build the doc
	-( cd doc ; MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )

	touch $@

build-arch: $(PYVERS:%=build-%-stamp)

build-%-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg
	python$* ./setup.py build $(PY_BUILD_FLAGS)
	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PYVERS); do \
		python$(i) ./setup.py clean --all; \
		python$(i)-dbg ./setup.py clean --all; \
	done

	# clean the doc
	( cd doc ; ./make.py clean )

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -rf doc/build doc/examples
	rm -f doc/mpl_examples/api/*.png
	rm -f doc/mpl_examples/pylab_examples/*.png
	rm -f doc/mpl_examples/pylab_examples/*.pdf
	rm -f doc/mpl_examples/units/*.png
	rm -f doc/pyplots/tex_demo.png
	rm -f doc/_static/matplotlibrc
	rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info


# install
install-arch: build-arch $(PYVERS:%=install-%-stamp)
	dh_testdir
	dh_testroot

install-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/ --no-compile
	python$* ./setupegg.py install_egg_info \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/ --no-compile

	find debian/$(pdbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(pdbg) -depth -empty -exec rmdir {} \;

	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg
	# link to fonts in ttf-lyx
	ln -sf /usr/share/fonts/truetype/ttf-lyx/cmex10.ttf $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/cmex10.ttf
	ln -sf /usr/share/fonts/truetype/ttf-lyx/cmmi10.ttf $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/cmmi10.ttf
	ln -sf /usr/share/fonts/truetype/ttf-lyx/cmr10.ttf $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/cmr10.ttf
	ln -sf /usr/share/fonts/truetype/ttf-lyx/cmsy10.ttf $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/cmsy10.ttf

# binary
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGELOG
	dh_installdocs -p$(pd) -i doc/build/html/ doc/build/latex/Matplotlib.pdf
	dh_installexamples -p$(pd) -i examples/*
	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js
	ln -sf /usr/share/javascript/jquery/jquery.js \
		$(CURDIR)/debian/$(pd)/usr/share/doc/python-matplotlib-doc/html/_static/jquery.js
	dh_link -i
	dh_lintian -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGELOG
	dh_installdocs -p$(p) -a README.txt TODO KNOWN_BUGS INTERACTIVE
	# make python scripts starting with '#!' executable
	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!'; then \
			chmod 755 $$i; \
			echo "made executable: $$i"; \
		fi; \
	done
	dh_pysupport -a
	dh_link -a
	dh_lintian -a
	dh_strip -a --dbg-package=$(pdbg)
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/matplotlib/matplotlib-([0-9]+(?:\.[0-9]+)*)\.tar\.gz

## matplotlib 1.0.1

=== debian/changelog ===
matplotlib (1.0.1-3) unstable; urgency=low

  * debian/patches/80_fix_tkinter_version_detection.patch
    - fix tkinter version detection; Closes: #632963

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jul 2011 20:53:08 +0200

matplotlib (1.0.1-2) unstable; urgency=low

  * Upload to unstable
    - fixed a FTBFS since the failing code (unicode vs byte-string) is rewritten
      in 1.0.x branch; thanks to Lucas Nussbaum for the report and to Stefano
      Rivera for the analysis; Closes: #625150
  * debian/rules
    - remove verbose logging for debhelper
    - remove compiled python code from documentation
  * debian/patches/70_search_new_tkdir.patch
    - added patch to look for the updated location of 'tkConfig.sh' script;
      thanks to Julian Taylor for the report and patch; Closes: #621700
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed XB-P-V/Conflicts/Replaces/Provides, no more needed

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 11:14:24 +0200

matplotlib (1.0.1-1) experimental; urgency=low

  * New upstream release; Closes: #606116
  * debian/patches/{10_build_fix.patch, 20_matplotlibrc_path_search_fix.patch}
    - updated to new upstream code
  * debian/patches/30_doc_pass_dpi.patch
    - removed, merged upstream
  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608760
  * debian/rules, debian/patches/30_disable_sample_downloads.patch
    - bypass examples data download from internet, but use local copy instead
  * debian/python-matplotlib-data.install
    - install examples sample data
  * debian/control
    - bump Standards-Version: to 3.9.1 (no changes needed)
    - removed DM-U-A flag, no more needed
    - added python-xlwt to b-d, needed to build doc examples
    - Benjamin Drung removed himself from the Uploaders list
  * debian/copyright
    - updated debian packaging copyright
  * debian/patches/40_bts608939_draw_markers_description.patch
    - fix a glitch (missing reference to documentation page) in draw_markers()
      description; thanks to Jakub Wilk for report and patch; Closes: #608939
  * debian/patches/50_bts608942_spaces_in_param_args.patch
    - don't separate param and its argument with a space, new sphinx consider
      the first argument as the type; thanks to Jakub Wilk for the report;
      Closes: #608942
  * debian/patches/60_doc_output_format.patch
    - obtain the documentation output format even if the value is a unicode (as
      returned by recent sphinx); thanks to Jakub Wilk for the tip on IRC

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2011 18:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
-           Sandro Tosi <morph@debian.org>,
-           Benjamin Drung <bdrung@ubuntu.com>
+           Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
                graphviz,
@@ -23,6 +21,7 @@
                python-numpy (>= 1:1.3.0),
                python-numpy-dbg (>= 1:1.3.0),
                python-pkg-resources,
+               python-qt-dev,
                python-qt4,
                python-qt4-dev,
                python-setuptools,
@@ -33,6 +32,7 @@
                python-tz,
                python-wxgtk2.8,
                python-wxgtk2.8-dbg,
+               python-xlwt,
                tcl8.5-dev,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -40,15 +40,13 @@
                tk8.5-dev,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 3.8.4
-XS-DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
 Homepage: http://matplotlib.sf.net/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
 
 Package: python-matplotlib
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: python-cairo,
          python-dateutil,
          python-gobject,
@@ -59,25 +57,22 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-glade2,
-            python-tk (>= 2.5.2-1.1)
-Provides: ${python:Provides}
-Conflicts: python2.4-matplotlib
-Replaces: python2.4-matplotlib
+Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
           ipython (>= 0.6.3),
           librsvg2-common,
           python-configobj,
           python-excelerator,
+          python-gtk2,
           python-matplotlib-doc,
+          python-qt3,
+          python-qt4,
           python-scipy,
           python-traits (>= 2.0),
+          python-wxgtk2.8,
           texlive-extra-utils,
-          texlive-latex-extra,
-          python-gtk2,
-          python-wxgtk2.8,
-          python-qt4
+          texlive-latex-extra
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 build-indep-stamp: $(DEFPY:%=build-%-stamp)
 	dh_testdir
 
+	# add information to use local copy of 'sampledata' and bypass downloading
+	echo "examples.download : False" >> $(CURDIR)/doc/matplotlibrc
+	echo "examples.directory : $(CURDIR)/sampledata" >> $(CURDIR)/doc/matplotlibrc
+
 	# build the doc
 	-( cd doc ; MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
 		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )
@@ -30,6 +34,13 @@
 	python$* ./setup.py build $(PY_BUILD_FLAGS)
 	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)
 
+#ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+#	LIB=$$(python$$* -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
+#	PYTHONPATH=$$LIB python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+#	LIB=$$(python$$*-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
+#	PYTHONPATH=$$LIB python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+#endif
+
 	touch $@
 
 
@@ -44,7 +55,7 @@
 	done
 
 	# clean the doc
-	( cd doc ; ./make.py clean )
+	-( cd doc ; ./make.py clean )
 
 	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
 	rm -rf doc/build doc/examples
@@ -63,6 +74,8 @@
 	rm -rf build
 	rm -rf lib/matplotlib.egg-info
 
+	# restore "pristine" doc/matplotlibrc
+	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc
 
 # install
 install-arch: build-arch $(PYVERS:%=install-%-stamp)
@@ -113,8 +126,10 @@
 	dh_testroot -i
 	dh_installchangelogs -i CHANGELOG
 	dh_installdocs -p$(pd) -i doc/build/html/ doc/build/latex/Matplotlib.pdf
+	# remove pyc file from doc
+	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
 	dh_installexamples -p$(pd) -i examples/*
-	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js
+	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
 	ln -sf /usr/share/javascript/jquery/jquery.js \
 		$(CURDIR)/debian/$(pd)/usr/share/doc/python-matplotlib-doc/html/_static/jquery.js
 	dh_link -i

## matplotlib 1.1.0

=== debian/changelog ===
matplotlib (1.1.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Feb 2012 09:54:01 +0100

matplotlib (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - remove Alexandre from Uploaders: thanks for all the work!
  * debian/rules
    - install debug files where gdb looks for them
    - removed some doc files no more present in upstream tarball
    - don't install baseline_images dir, contains images only needed for tests
      and takes a lot of disk space
  * debian/copyright
    - updated to new release
  * debian/patches/*
    - updated/deleted/refreshed as per new code

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Oct 2011 17:32:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>,
-           Sandro Tosi <morph@debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
                graphviz,

=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,9 @@
 	find debian/$(pdbg) ! -type d ! -name '*.so' | xargs rm -f
 	find debian/$(pdbg) -depth -empty -exec rmdir {} \;
 
+	# don't install baseline_images, needed for tests only, but huge
+	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/*-packages/matplotlib/tests/baseline_images/
+
 	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/
 
@@ -144,7 +147,7 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs -a CHANGELOG
-	dh_installdocs -p$(p) -a README.txt TODO KNOWN_BUGS INTERACTIVE
+	dh_installdocs -p$(p) -a README.txt TODO
 	# make python scripts starting with '#!' executable
 	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
 		if head -1 $$i | grep -q '^#!'; then \
@@ -156,6 +159,8 @@
 	dh_link -a
 	dh_lintian -a
 	dh_strip -a --dbg-package=$(pdbg)
+	# fix python-debug-in-wrong-location lintian warning
+	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a

## matplotlib 1.1.1~rc1

=== debian/changelog ===
matplotlib (1.1.1~rc1-1ubuntu1) precise; urgency=low

  * revert ttf-lyx -> fonts-lyx rename, not done in precise yet

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 14 Apr 2012 17:38:47 +0200

matplotlib (1.1.1~rc1-1) unstable; urgency=low

  * New upstream (release candidate) release
    - provide ipython 0.11 compatibility; thanks to Julian Taylor for the
      report; Closes: #636464
  * debian/control
    - replace ttf-lyx with fonts-lyx (package rename); thanks to Ryo IGARASHI
      for the report; Closes: #664048
    - bump required numpy version to 1.4 at least
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/{control, rules}
    - use dh_numpy

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Mar 2012 14:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
@@ -17,8 +18,8 @@
                python-epydoc,
                python-gtk2-dev,
                python-imaging,
-               python-numpy (>= 1:1.3.0),
-               python-numpy-dbg (>= 1:1.3.0),
+               python-numpy (>= 1:1.5.1-4),
+               python-numpy-dbg (>= 1:1.5.1-4),
                python-pkg-resources,
                python-qt-dev,
                python-qt4,
@@ -39,7 +40,7 @@
                tk8.5-dev,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://matplotlib.sf.net/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
@@ -50,7 +51,6 @@
          python-dateutil,
          python-gobject,
          python-matplotlib-data (>= ${source:Version}),
-         python-numpy (>= 1:1.3.0),
          python-pyparsing,
          python-tz,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	python$* ./setup.py build $(PY_BUILD_FLAGS)
 	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)
 
-#ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 #	LIB=$$(python$$* -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
 #	PYTHONPATH=$$LIB python$* -c "import matplotlib as m ; m.test(verbosity=1)"
 #	LIB=$$(python$$*-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
@@ -81,6 +81,7 @@
 install-arch: build-arch $(PYVERS:%=install-%-stamp)
 	dh_testdir
 	dh_testroot
+	dh_numpy
 
 install-%-stamp: build-%-stamp
 	dh_testdir

## matplotlib 1.1.1~rc1+git20120423

=== debian/changelog ===
matplotlib (1.1.1~rc1+git20120423-0ubuntu1) precise; urgency=low

  * New snapshot from the v1.1.x branch
    Commit eb0ded729d732abe21daf4562c4f76034e16856f
  * add fix-deadlock.patch to fix a deadlock during doc building

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 23 Apr 2012 20:21:23 +0200

## matplotlib 1.1.1~rc2

=== debian/changelog ===
matplotlib (1.1.1~rc2-1) unstable; urgency=low

  * New upstream release candidate
  * debian/control
    - remove some unnecessary build-depends; thanks to Michael Droettboom from
      upstream for the review of the b-d packages list
    - remove Qt3 dependencies, not required since a long time, easying Qt3
      removal from Debian; thanks to Ana Guerrero for report; Closes: #673399
    - add python-nose to b-d, needed to run tests
  * debian/rules
    - enable tests at build time

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2012 16:21:11 +0200

matplotlib (1.1.1~rc1-2) unstable; urgency=low

  * debian/patches/60_new_syntax_to_load_searchindex.patch
    - use new Sphinx syntax to load searchindex.js so dh_sphinxdoc is able to
      recognize search.html as a valid Sphinx search page
  * debian/{control, rules}
    - use dh_sphinxdoc
  * debian/rules
    - set MPLCONFIGDIR to a writable directory; thanks to Lucas Nussbaum for the
      report; Closes: #669549

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2012 18:05:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,30 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
                graphviz,
-               ipython,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
                python-all-dbg (>= 2.4.4-6),
                python-all-dev (>= 2.3.5-7),
-               python-configobj,
                python-dateutil,
-               python-epydoc,
                python-gtk2-dev,
                python-imaging,
+               python-nose,
                python-numpy (>= 1:1.5.1-4),
                python-numpy-dbg (>= 1:1.5.1-4),
                python-pkg-resources,
-               python-qt-dev,
                python-qt4,
-               python-qt4-dev,
                python-setuptools,
-               python-sphinx (>= 0.5.1),
+               python-sphinx (>= 1.0.7+dfsg),
                python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
-               python-traits (>= 2.0),
                python-tz,
                python-wxgtk2.8,
-               python-wxgtk2.8-dbg,
                python-xlwt,
                tcl8.5-dev,
                texlive-fonts-recommended,
@@ -65,7 +58,6 @@
           python-excelerator,
           python-gtk2,
           python-matplotlib-doc,
-          python-qt3,
           python-qt4,
           python-scipy,
           python-traits (>= 2.0),
@@ -81,7 +73,7 @@
 
 Package: python-matplotlib-data
 Architecture: all
-Depends: ttf-lyx, ${misc:Depends}
+Depends: fonts-lyx, ${misc:Depends}
 Description: Python based plotting system (data package)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	echo "examples.directory : $(CURDIR)/sampledata" >> $(CURDIR)/doc/matplotlibrc
 
 	# build the doc
-	-( cd doc ; MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
+	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
 		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )
 
 	touch $@
@@ -34,12 +34,27 @@
 	python$* ./setup.py build $(PY_BUILD_FLAGS)
 	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)
 
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#	LIB=$$(python$$* -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
-#	PYTHONPATH=$$LIB python$* -c "import matplotlib as m ; m.test(verbosity=1)"
-#	LIB=$$(python$$*-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
-#	PYTHONPATH=$$LIB python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
-#endif
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "datapath : $(CURDIR)/lib/matplotlib/mpl-data/" > matplotlibrc
+	-PYTHONPATH=$(shell python$* -c "from distutils.command.build import build ; \
+	                                from distutils.core import Distribution ; \
+					b = build(Distribution()) ; \
+					b.finalize_options() ; \
+					print b.build_platlib") \
+	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+	MPLCONFIGDIR=. \
+		python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+
+	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
+	                                    from distutils.core import Distribution ; \
+					    b = build(Distribution()) ; \
+					    b.finalize_options() ; \
+					    print b.build_platlib") \
+	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+	MPLCONFIGDIR=. \
+		python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+	rm -f matplotlibrc
+endif
 
 	touch $@
 
@@ -134,9 +149,8 @@
 	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
-	ln -sf /usr/share/javascript/jquery/jquery.js \
-		$(CURDIR)/debian/$(pd)/usr/share/doc/python-matplotlib-doc/html/_static/jquery.js
 	dh_link -i
+	dh_sphinxdoc
 	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i

## matplotlib 1.1.1

=== debian/changelog ===
matplotlib (1.1.1-1) experimental; urgency=low

  * New upstream release
    - Closes: #680883; thanks to Yannick Roehlly for the report
  * debian/control
    - add ghostscript and inkscape to b-d, needed to run tests

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Aug 2012 20:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
+               ghostscript,
                graphviz,
+               inkscape,,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
